## sorl-thumbnail 12.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/sorlthumbnail.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/sorlthumbnail.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/sorlthumbnail"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/sorlthumbnail"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## sorl-thumbnail 11.12

=== debian/changelog ===
sorl-thumbnail (11.12-6) unstable; urgency=low

  * Adapt patch to fix FTBFS with Django-1.6 (Closes: #729831).
  * debian/copyright:
    + Rename BSD-sorl-thumbnail to BSD-3-clause.
    + Update year.
  * Bump Standards version to 3.9.5.
  * Bump X-Python-Version to >= 2.7 because of argparse.
  * Drop versioned Build-Depends on python-all and python-django as no
    prior versions are available in Wheezy.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 25 Nov 2013 09:00:56 +0100

sorl-thumbnail (11.12-5) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Sebastian Ramacher ]
  * debian/patches/django1.5.patch:
    - Fix FTBFS with Django 1.5 (Closes: #707805).

  [ Luca Falavigna ]
  * Remove python2.6-argparse from Build-Depends field.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 19 May 2013 12:14:39 +0200

sorl-thumbnail (11.12-4) unstable; urgency=low

  * Add patch to fix orientation tests and to skip tests for EXIF
    orientation if engine does not support it (Closes: #678777).
  * Bump Standards version to 3.9.3. No changes necessary.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 07 Nov 2012 08:42:40 +0100

sorl-thumbnail (11.12-3) unstable; urgency=low

  * Fix syntax warnings in documentation source (Closes: #655610).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Fri, 13 Jan 2012 08:08:01 +0100

sorl-thumbnail (11.12-2) unstable; urgency=low

  * Skip tests that require HTTP connections (Closes: #655568).
  * Change D-B to python2.6-argparse to force installation during build
    (this would otherwise be satisfied by python2.7 which provides
    python-argparse).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 12 Jan 2012 16:00:34 +0100

sorl-thumbnail (11.12-1) unstable; urgency=low

  * Initial release (Closes: #527166)

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 29 Dec 2011 17:29:54 +0100

=== debian/control ===
Source: sorl-thumbnail
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 7.0.50~),
               graphicsmagick,
               imagemagick,
               locales,
               python-all,
               python-django,
               python-imaging,
               python-pgmagick,
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg)
Standards-Version: 3.9.5
X-Python-Version: >= 2.7
Homepage: https://github.com/sorl/sorl-thumbnail
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sorl-thumbnail/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sorl-thumbnail/trunk/

Package: python-sorl-thumbnail
Architecture: all
Depends: python-django,
         python-imaging | python-pgmagick | imagemagick | graphicsmagick,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Suggests: python-redis
Description: thumbnail support for the Django framework
 sorl-thumbnail provides a convenient way to create and manage image thumbnails
 in a Django project. It offers integration into several parts of Django like
 the admin system by showing thumbnails for ImageFields or through a ImageField
 that also takes care of deleting thumbnail files when the referencing object
 is removed.
 .
 Other features include:
  * Django storage support
  * Pluggable Engine support (PIL, pgmagick, ImageMagick or GraphicsMagick)
  * Pluggable Key Value Store support (Django cache, redis)
  * Pluggable Backend support (i.e. different thumbnail filename schema)
  * Dummy generation (placeholders)
  * Flexible, simple syntax, generates no html
  * CSS style cropping options
  * Margin calculation for vertical positioning

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --with python2,sphinxdoc $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	PYTHONPATH=.:$$PYTHONPATH sphinx-build -b html -d .build/.doctrees -N docs .build/html
	dh_auto_build
	chmod 644 sorl_thumbnail.egg-info/*

.PHONY: override_dh_clean
override_dh_clean:
	rm -rf .build
	dh_clean

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	sed -i 's/Metadata-Version: 1\.0/Metadata-Version: 1\.1/' debian/python-sorl-thumbnail/usr/lib/python2.*/*-packages/sorl_thumbnail-*.egg-info/PKG-INFO

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p tmp-locales
	localedef -i en_US -c -f UTF-8 tmp-locales/en_US.UTF-8
	set -e; \
	for python in $(shell pyversions -r); do \
	  for name in pil pgmagick imagemagick graphicsmagick; do \
		LOCPATH=$(CURDIR)/tmp-locales LC_ALL=en_US.UTF-8 PYTHONPATH=tests LOCAL_BUILD=1 $$python tests/runtests.py --settings=settings.$$name ; \
	  done; \
	done
	rm -rf tmp-locales
endif

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/s/sorl-thumbnail/sorl-thumbnail-([\d\.]+)\.tar\.gz

## sorl-thumbnail 12.2

=== debian/changelog ===
sorl-thumbnail (12.2-1) unstable; urgency=medium

  * New upstream release (Closes: #755633).
  * Switch buildsystem to pybuild.
  * Add Python3 support through a separate package.
  * Move documentation to a separate package.
  * Bump Standards-Version to 3.9.6.
  * Replace python-imaging with python-pil in Depends and Build-Depends.
  * Change d/watch URL to point to new github releases.
  * Add icc_profile.patch to fix tests with graphicsmagick and pgmagick.
  * Renew patches:
    + orientation.patch
    + disable_http_tests.patch
    + fix_sphinx_warnings.patch
  * Drop django1.6.patch, fixed by upstream.
  * Add lintian override for missing PGP signature on source tarball.
  * Clean up all files in sorl_thumbnail.egg-info to allow two or more
    clean builds in a row.
  * Add lsof to Build-Depends because new tests require it.
  * Install upstream changelog.
  * Stop changing the file mode bits on sorl_thumbnail.egg-info/+ during
    build.
  * Remove PHONY target declarations in d/rules.
  * Update homepage URL.
  * Update year in d/copyright.
  * Update upstream maintainer in d/copyright.
  * Drop fix for Metadata-Version in d/rules, it is no longer required.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 27 Jan 2015 11:55:36 +0100

=== debian/control ===
--- 
+++ 
@@ -3,29 +3,35 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
+               dh-python,
                graphicsmagick,
                imagemagick,
                locales,
+               lsof,
                python-all,
                python-django,
-               python-imaging,
+               python-pil,
                python-pgmagick,
                python-setuptools,
+               python3-all,
+               python3-django,
+               python3-pil,
+               python3-setuptools,
                python-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
-Homepage: https://github.com/sorl/sorl-thumbnail
+X-Python3-Version: >= 3.3
+Homepage: https://github.com/mariocesar/sorl-thumbnail
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sorl-thumbnail/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sorl-thumbnail/trunk/
 
 Package: python-sorl-thumbnail
 Architecture: all
 Depends: python-django,
-         python-imaging | python-pgmagick | imagemagick | graphicsmagick,
+         python-pil | python-pgmagick | imagemagick | graphicsmagick,
          ${misc:Depends},
-         ${python:Depends},
-         ${sphinxdoc:Depends}
+         ${python:Depends}
 Suggests: python-redis
 Description: thumbnail support for the Django framework
  sorl-thumbnail provides a convenient way to create and manage image thumbnails
@@ -43,3 +49,53 @@
   * Flexible, simple syntax, generates no html
   * CSS style cropping options
   * Margin calculation for vertical positioning
+
+Package: python3-sorl-thumbnail
+Architecture: all
+Depends: python3-django,
+         python3-pil | imagemagick | graphicsmagick,
+         ${misc:Depends},
+         ${python3:Depends}
+Suggests: python3-redis
+Description: thumbnail support for the Django framework (Python3 version)
+ sorl-thumbnail provides a convenient way to create and manage image thumbnails
+ in a Django project. It offers integration into several parts of Django like
+ the admin system by showing thumbnails for ImageFields or through a ImageField
+ that also takes care of deleting thumbnail files when the referencing object
+ is removed.
+ .
+ Other features include:
+  * Django storage support
+  * Pluggable Engine support (PIL, pgmagick, ImageMagick or GraphicsMagick)
+  * Pluggable Key Value Store support (Django cache, redis)
+  * Pluggable Backend support (i.e. different thumbnail filename schema)
+  * Dummy generation (placeholders)
+  * Flexible, simple syntax, generates no html
+  * CSS style cropping options
+  * Margin calculation for vertical positioning
+ .
+ This package contains the Python 3 version of the library.
+
+Package: python-sorl-thumbnail-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
+Description: thumbnail support for the Django framework (Documentation)
+ sorl-thumbnail provides a convenient way to create and manage image thumbnails
+ in a Django project. It offers integration into several parts of Django like
+ the admin system by showing thumbnails for ImageFields or through a ImageField
+ that also takes care of deleting thumbnail files when the referencing object
+ is removed.
+ .
+ Other features include:
+  * Django storage support
+  * Pluggable Engine support (PIL, pgmagick, ImageMagick or GraphicsMagick)
+  * Pluggable Key Value Store support (Django cache, redis)
+  * Pluggable Backend support (i.e. different thumbnail filename schema)
+  * Dummy generation (placeholders)
+  * Flexible, simple syntax, generates no html
+  * CSS style cropping options
+  * Margin calculation for vertical positioning
+ .
+ This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=sorl-thumbnail

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=.:$$PYTHONPATH sphinx-build -b html -d .build/.doctrees -N docs .build/html

override_dh_clean:
	rm -rf .build
	dh_clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p tmp-locales
	localedef -i en_US -c -f UTF-8 tmp-locales/en_US.UTF-8
	set -e; \
	for python in $(shell pyversions -r); do \
	  for name in pil pgmagick imagemagick graphicsmagick; do \
		LOCPATH=$(CURDIR)/tmp-locales LC_ALL=en_US.UTF-8 PYTHONPATH=tests LOCAL_BUILD=1 $$python tests/runtests.py --settings=settings.$$name ; \
	  done; \
	done
	for python in $(shell py3versions -r); do \
	  for name in pil imagemagick graphicsmagick; do \
		LOCPATH=$(CURDIR)/tmp-locales LC_ALL=en_US.UTF-8 PYTHONPATH=tests LOCAL_BUILD=1 $$python tests/runtests.py --settings=settings.$$name ; \
	  done; \
	done
	rm -rf tmp-locales
endif

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGES.rst

## sorl-thumbnail 12.3

=== debian/changelog ===
sorl-thumbnail (12.3-3~bpo8+1) jessie-backports; urgency=low

  * Rebuild for jessie-backports (Closes: #808343)

 -- W. Martin Borgert <debacle@debian.org>  Mon, 25 Jul 2016 00:01:37 +0000

sorl-thumbnail (12.3-3) unstable; urgency=medium

  * Add build-dep on python-pytest-django (Closes: #830636).

 -- W. Martin Borgert <debacle@debian.org>  Sun, 24 Jul 2016 23:52:40 +0000

sorl-thumbnail (12.3-2) unstable; urgency=medium

  [ W. Martin Borgert <debacle@debian.org> ]
  * Add build-dep on pytest (Closes: #818734).
  * Add build-conflicts on locales-all (Closes: #792576).

  [ Ondřej Nový <novy@ondrej.org> ]
  * Fixed VCS URL (https)
  * Standards-Version is 3.9.8 now (no change)

 -- W. Martin Borgert <debacle@debian.org>  Wed, 01 Jun 2016 21:38:33 +0000

sorl-thumbnail (12.3-1) unstable; urgency=low

  * New upstream release.
  * Skipped a test, that is incompatible with Django 1.8/1.9 (Closes: #806367).
  * Added myself to Uploaders.

 -- W. Martin Borgert <debacle@debian.org>  Wed, 06 Jan 2016 20:46:39 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
+Uploaders: Michael Fladischer <FladischerMichael@fladi.at>, W. Martin Borgert <debacle@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                graphicsmagick,
@@ -13,18 +13,23 @@
                python-django,
                python-pil,
                python-pgmagick,
+               python-pytest,
+               python-pytest-django,
                python-setuptools,
                python3-all,
                python3-django,
                python3-pil,
+               python3-pytest,
+               python3-pytest-django,
                python3-setuptools,
                python-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.6
+Build-Conflicts: locales-all (<< 2.21-1)
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
 Homepage: https://github.com/mariocesar/sorl-thumbnail
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sorl-thumbnail/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sorl-thumbnail/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sorl-thumbnail.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sorl-thumbnail.git
 
 Package: python-sorl-thumbnail
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	PYTHONPATH=.:$$PYTHONPATH sphinx-build -b html -d .build/.doctrees -N docs .build/html
 
 override_dh_clean:
-	rm -rf .build
+	rm -rf .build tmp-locales tests/media/
 	dh_clean
 
 override_dh_auto_test:
@@ -24,12 +24,12 @@
 	set -e; \
 	for python in $(shell pyversions -r); do \
 	  for name in pil pgmagick imagemagick graphicsmagick; do \
-		LOCPATH=$(CURDIR)/tmp-locales LC_ALL=en_US.UTF-8 PYTHONPATH=tests LOCAL_BUILD=1 $$python tests/runtests.py --settings=settings.$$name ; \
+		LOCPATH=$(CURDIR)/tmp-locales LC_ALL=en_US.UTF-8 PYTHONPATH=. LOCAL_BUILD=1 DJANGO_SETTINGS_MODULE=tests.settings.$$name $$python -m pytest ; \
 	  done; \
 	done
 	for python in $(shell py3versions -r); do \
 	  for name in pil imagemagick graphicsmagick; do \
-		LOCPATH=$(CURDIR)/tmp-locales LC_ALL=en_US.UTF-8 PYTHONPATH=tests LOCAL_BUILD=1 $$python tests/runtests.py --settings=settings.$$name ; \
+		LOCPATH=$(CURDIR)/tmp-locales LC_ALL=en_US.UTF-8 PYTHONPATH=. LOCAL_BUILD=1 DJANGO_SETTINGS_MODULE=tests.settings.$$name $$python -m pytest ; \
 	  done; \
 	done
 	rm -rf tmp-locales

## sorl-thumbnail 12.3+git20160928

=== debian/changelog ===
sorl-thumbnail (12.3+git20160928-1) unstable; urgency=medium

  * New upstream git snapshot (Closes: #834678).
  * Add support for Wand engine.
  * Update patches for unittest suite.

 -- W. Martin Borgert <debacle@debian.org>  Wed, 05 Oct 2016 01:23:42 +0000

=== debian/control ===
--- 
+++ 
@@ -16,12 +16,14 @@
                python-pytest,
                python-pytest-django,
                python-setuptools,
+               python-wand,
                python3-all,
                python3-django,
                python3-pil,
                python3-pytest,
                python3-pytest-django,
                python3-setuptools,
+               python3-wand,
                python-sphinx (>= 1.0.7+dfsg)
 Build-Conflicts: locales-all (<< 2.21-1)
 Standards-Version: 3.9.8
@@ -34,7 +36,7 @@
 Package: python-sorl-thumbnail
 Architecture: all
 Depends: python-django,
-         python-pil | python-pgmagick | imagemagick | graphicsmagick,
+         python-pil | python-pgmagick | imagemagick | graphicsmagick | python-wand,
          ${misc:Depends},
          ${python:Depends}
 Suggests: python-redis
@@ -47,7 +49,8 @@
  .
  Other features include:
   * Django storage support
-  * Pluggable Engine support (PIL, pgmagick, ImageMagick or GraphicsMagick)
+  * Pluggable Engine support (PIL, pgmagick, ImageMagick, GraphicsMagick,
+    or Wand)
   * Pluggable Key Value Store support (Django cache, redis)
   * Pluggable Backend support (i.e. different thumbnail filename schema)
   * Dummy generation (placeholders)
@@ -58,7 +61,7 @@
 Package: python3-sorl-thumbnail
 Architecture: all
 Depends: python3-django,
-         python3-pil | imagemagick | graphicsmagick,
+         python3-pil | imagemagick | graphicsmagick | python3-wand,
          ${misc:Depends},
          ${python3:Depends}
 Suggests: python3-redis
@@ -71,7 +74,7 @@
  .
  Other features include:
   * Django storage support
-  * Pluggable Engine support (PIL, pgmagick, ImageMagick or GraphicsMagick)
+  * Pluggable Engine support (PIL, ImageMagick, GraphicsMagick, or Wand)
   * Pluggable Key Value Store support (Django cache, redis)
   * Pluggable Backend support (i.e. different thumbnail filename schema)
   * Dummy generation (placeholders)
@@ -95,7 +98,8 @@
  .
  Other features include:
   * Django storage support
-  * Pluggable Engine support (PIL, pgmagick, ImageMagick or GraphicsMagick)
+  * Pluggable Engine support (PIL, pgmagick, ImageMagick, GraphicsMagick,
+    or Wand)
   * Pluggable Key Value Store support (Django cache, redis)
   * Pluggable Backend support (i.e. different thumbnail filename schema)
   * Dummy generation (placeholders)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=sorl-thumbnail

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=.:$$PYTHONPATH sphinx-build -b html -d .build/.doctrees -N docs .build/html

override_dh_clean:
	rm -rf .build tmp-locales tests/media/
	dh_clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p tmp-locales
	localedef -i en_US -c -f UTF-8 tmp-locales/en_US.UTF-8
	set -e; \
	for python in $(shell pyversions -r) $(shell py3versions -r); do \
	    for name in pil pgmagick imagemagick graphicsmagick wand; do \
	        if [ $$(echo $$python | cut -f 1 -d .)"-$$name" = "python3-pgmagick" ]; then continue; fi; \
	        LOCPATH=$(CURDIR)/tmp-locales LC_ALL=en_US.UTF-8 PYTHONPATH=. LOCAL_BUILD=1 DJANGO_SETTINGS_MODULE=tests.settings.$$name $$python -m pytest ; \
	    done; \
	done
	rm -rf tmp-locales
endif

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGES.rst

## sorl-thumbnail 12.3+git20170708

=== debian/changelog ===
sorl-thumbnail (12.3+git20170708-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ W. Martin Borgert ]
  * re-enable pgmagick for Python 3 and
  * workaround a pgmagick exception (Closes: #902522)

 -- W. Martin Borgert <debacle@debian.org>  Wed, 29 Aug 2018 22:56:08 +0000

sorl-thumbnail (12.3+git20170708-1) unstable; urgency=medium

  * New upstream git snapshot (Closes: #865891)
  * Standards-Version is 4.0.0 now (no change)
  * Use compat level 10 (lintian)

 -- W. Martin Borgert <debacle@debian.org>  Fri, 04 Aug 2017 23:07:08 +0000

sorl-thumbnail (12.3+git20160928-2) unstable; urgency=medium

  * Disable support for Wand again, because tests crash on i386
    (Closes: #860668).
  * Update patch to disable HTTP requests during tests
    (Closes: #857707).
  * Mark python-sorl-thumbnail-doc as Multi-Arch: foreign.

 -- W. Martin Borgert <debacle@debian.org>  Wed, 26 Apr 2017 22:10:48 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <FladischerMichael@fladi.at>, W. Martin Borgert <debacle@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                graphicsmagick,
                imagemagick,
@@ -16,27 +16,24 @@
                python-pytest,
                python-pytest-django,
                python-setuptools,
-               python-wand,
                python3-all,
                python3-django,
                python3-pil,
+               python3-pgmagick,
                python3-pytest,
                python3-pytest-django,
                python3-setuptools,
-               python3-wand,
-               python-sphinx (>= 1.0.7+dfsg)
+               python3-sphinx (>= 1.0.7+dfsg)
 Build-Conflicts: locales-all (<< 2.21-1)
-Standards-Version: 3.9.8
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
+Standards-Version: 4.2.0
 Homepage: https://github.com/mariocesar/sorl-thumbnail
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sorl-thumbnail.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sorl-thumbnail.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/sorl-thumbnail.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/sorl-thumbnail
 
 Package: python-sorl-thumbnail
 Architecture: all
 Depends: python-django,
-         python-pil | python-pgmagick | imagemagick | graphicsmagick | python-wand,
+         python-pil | python-pgmagick | imagemagick | graphicsmagick,
          ${misc:Depends},
          ${python:Depends}
 Suggests: python-redis
@@ -61,7 +58,7 @@
 Package: python3-sorl-thumbnail
 Architecture: all
 Depends: python3-django,
-         python3-pil | imagemagick | graphicsmagick | python3-wand,
+         python3-pil | python3-pgmagick | imagemagick | graphicsmagick,
          ${misc:Depends},
          ${python3:Depends}
 Suggests: python3-redis
@@ -74,7 +71,8 @@
  .
  Other features include:
   * Django storage support
-  * Pluggable Engine support (PIL, ImageMagick, GraphicsMagick, or Wand)
+  * Pluggable Engine support (PIL, pgmagick, ImageMagick, GraphicsMagick,
+    or Wand)
   * Pluggable Key Value Store support (Django cache, redis)
   * Pluggable Backend support (i.e. different thumbnail filename schema)
   * Dummy generation (placeholders)
@@ -87,6 +85,7 @@
 Package: python-sorl-thumbnail-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Description: thumbnail support for the Django framework (Documentation)

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,7 @@
 	localedef -i en_US -c -f UTF-8 tmp-locales/en_US.UTF-8
 	set -e; \
 	for python in $(shell pyversions -r) $(shell py3versions -r); do \
-	    for name in pil pgmagick imagemagick graphicsmagick wand; do \
-	        if [ $$(echo $$python | cut -f 1 -d .)"-$$name" = "python3-pgmagick" ]; then continue; fi; \
+	    for name in pil pgmagick imagemagick graphicsmagick; do \
 	        LOCPATH=$(CURDIR)/tmp-locales LC_ALL=en_US.UTF-8 PYTHONPATH=. LOCAL_BUILD=1 DJANGO_SETTINGS_MODULE=tests.settings.$$name $$python -m pytest ; \
 	    done; \
 	done
@@ -33,3 +32,7 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -- CHANGES.rst
+
+override_dh_installdocs:
+	dh_installdocs -ppython-sorl-thumbnail-doc --doc-main-package=python-sorl-thumbnail-doc
+	dh_installdocs --remaining-packages

## sorl-thumbnail 12.5.0

=== debian/changelog ===
sorl-thumbnail (12.5.0-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Wed, 31 Jul 2019 14:29:09 +0200

sorl-thumbnail (12.5.0-1) unstable; urgency=medium

  * New release (Closes: #921935)
  * Tests should pass now (Closes: #921903)

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Michael Fladischer ]
  * Remove myself from uploaders.

 -- W. Martin Borgert <debacle@debian.org>  Mon, 11 Feb 2019 09:38:25 +0000

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,13 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <FladischerMichael@fladi.at>, W. Martin Borgert <debacle@debian.org>
-Build-Depends: debhelper (>= 11),
+Uploaders: W. Martin Borgert <debacle@debian.org>
+Build-Depends: debhelper-compat (= 11),
                dh-python,
                graphicsmagick,
                imagemagick,
                locales,
                lsof,
-               python-all,
-               python-django,
-               python-pil,
-               python-pgmagick,
-               python-pytest,
-               python-pytest-django,
-               python-setuptools,
                python3-all,
                python3-django,
                python3-pil,
@@ -26,34 +19,10 @@
                python3-sphinx (>= 1.0.7+dfsg)
 Build-Conflicts: locales-all (<< 2.21-1)
 Standards-Version: 4.2.0
+Rules-Requires-Root: no
 Homepage: https://github.com/mariocesar/sorl-thumbnail
 Vcs-Git: https://salsa.debian.org/python-team/modules/sorl-thumbnail.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sorl-thumbnail
-
-Package: python-sorl-thumbnail
-Architecture: all
-Depends: python-django,
-         python-pil | python-pgmagick | imagemagick | graphicsmagick,
-         ${misc:Depends},
-         ${python:Depends}
-Suggests: python-redis
-Description: thumbnail support for the Django framework
- sorl-thumbnail provides a convenient way to create and manage image thumbnails
- in a Django project. It offers integration into several parts of Django like
- the admin system by showing thumbnails for ImageFields or through a ImageField
- that also takes care of deleting thumbnail files when the referencing object
- is removed.
- .
- Other features include:
-  * Django storage support
-  * Pluggable Engine support (PIL, pgmagick, ImageMagick, GraphicsMagick,
-    or Wand)
-  * Pluggable Key Value Store support (Django cache, redis)
-  * Pluggable Backend support (i.e. different thumbnail filename schema)
-  * Dummy generation (placeholders)
-  * Flexible, simple syntax, generates no html
-  * CSS style cropping options
-  * Margin calculation for vertical positioning
 
 Package: python3-sorl-thumbnail
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,11 @@
 export PYBUILD_NAME=sorl-thumbnail
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=.:$$PYTHONPATH sphinx-build -b html -d .build/.doctrees -N docs .build/html
+	PYTHONPATH=.:$$PYTHONPATH python3 -m sphinx -b html -d .build/.doctrees -N docs .build/html
 
 override_dh_clean:
 	rm -rf .build tmp-locales tests/media/
@@ -22,7 +22,7 @@
 	mkdir -p tmp-locales
 	localedef -i en_US -c -f UTF-8 tmp-locales/en_US.UTF-8
 	set -e; \
-	for python in $(shell pyversions -r) $(shell py3versions -r); do \
+	for python in $(shell py3versions -r); do \
 	    for name in pil pgmagick imagemagick graphicsmagick; do \
 	        LOCPATH=$(CURDIR)/tmp-locales LC_ALL=en_US.UTF-8 PYTHONPATH=. LOCAL_BUILD=1 DJANGO_SETTINGS_MODULE=tests.settings.$$name $$python -m pytest ; \
 	    done; \

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/sorl-thumbnail-$1/ \
https://github.com/mariocesar/sorl-thumbnail/releases \
/mariocesar/sorl-thumbnail/archive/v([\d\.]+)\.tar\.gz

## sorl-thumbnail 12.7.0

=== debian/changelog ===
sorl-thumbnail (12.7.0-1) unstable; urgency=medium

  * New release (Closes: #997342).

  [ Håvard Flaget Aasen ]
  * d/watch
    - Update to new repository, changed around version 12.4.0

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Martin <debacle@debian.org>>  Thu, 25 Nov 2021 22:35:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: sorl-thumbnail
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: W. Martin Borgert <debacle@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Martin <debacle@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                graphicsmagick,
                imagemagick,
@@ -16,13 +16,14 @@
                python3-pytest,
                python3-pytest-django,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-sphinx (>= 1.0.7+dfsg)
 Build-Conflicts: locales-all (<< 2.21-1)
 Standards-Version: 4.2.0
 Rules-Requires-Root: no
-Homepage: https://github.com/mariocesar/sorl-thumbnail
-Vcs-Git: https://salsa.debian.org/python-team/modules/sorl-thumbnail.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/sorl-thumbnail
+Homepage: https://github.com/jazzband/sorl-thumbnail
+Vcs-Git: https://salsa.debian.org/python-team/packages/sorl-thumbnail.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/sorl-thumbnail
 
 Package: python3-sorl-thumbnail
 Architecture: all

## sorl-thumbnail 12.8.0

=== debian/changelog ===
sorl-thumbnail (12.8.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports for compatibility with Django.

 -- Martin <debacle@debian.org>  Tue, 29 Mar 2022 23:15:22 +0000

sorl-thumbnail (12.8.0-1) unstable; urgency=medium

  * New release (Closes: #961065, #1005687).
    - Added support for Django 3.2 and 4.0, dropped 3.0.
  * Remove patch relax-test.patch, applied upstream.

 -- Martin <debacle@debian.org>  Wed, 16 Mar 2022 09:11:31 +0000

## sorl-thumbnail 12.9.0

=== debian/changelog ===
sorl-thumbnail (12.9.0-1) unstable; urgency=medium

  * New release

 -- Martin <debacle@debian.org>  Wed, 25 Jan 2023 23:33:50 +0000

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sorl-thumbnail-$1\.tar\.gz/ \
  https://github.com/jazzband/sorl-thumbnail/tags .*/?(\d{2}\.\d.\d)\.tar\.gz

## sorl-thumbnail 12.10.0

=== debian/changelog ===
sorl-thumbnail (12.10.0-1) unstable; urgency=medium

  * New release
  * Disable broken unittest (Closes: #1054758)

 -- Martin <debacle@debian.org>  Fri, 24 Nov 2023 15:40:24 +0000

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,6 @@
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
-
-override_dh_auto_build:
-	dh_auto_build
-	PYTHONPATH=.:$$PYTHONPATH python3 -m sphinx -b html -d .build/.doctrees -N docs .build/html
 
 override_dh_clean:
 	rm -rf .build tmp-locales tests/media/
@@ -34,5 +30,6 @@
 	dh_installchangelogs -- CHANGES.rst
 
 override_dh_installdocs:
+	PYTHONPATH=.:$$PYTHONPATH python3 -m sphinx -b html -d .build/.doctrees -N docs .build/html
 	dh_installdocs -ppython-sorl-thumbnail-doc --doc-main-package=python-sorl-thumbnail-doc
 	dh_installdocs --remaining-packages
